Skip Menu |
 

This queue is for tickets about the IO-Socket-SSL CPAN distribution.

Report information
The Basics
Id: 124963
Status: resolved
Priority: 0/
Queue: IO-Socket-SSL

People
Owner: Nobody in particular
Requestors: skaji [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: IO::Socket::SSL emits warnings when it uses Socket6
Download (untitled) / with headers
text/plain 1.4k
Currently IO::Socket::SSL emits warnings when it uses Socket6. It would be nice that IO::Socket::SSL silences these warnings. With perl 5.14.4: ``` ❯ perl -v This is perl 5, version 14, subversion 4 (v5.14.4) built for darwin-2level ❯ cpanm -nq IO::Socket::SSL Socket6 Successfully installed ExtUtils-MakeMaker-7.34 (upgraded from 6.57_05) Successfully installed Net-SSLeay-1.85 Successfully installed Mozilla-CA-20180117 Successfully installed IO-Socket-SSL-2.056 Successfully installed Socket6-0.28 5 distributions installed ❯ perl -MIO::Socket::SSL -e1 Prototype mismatch: sub IO::Socket::SSL::NI_NUMERICHOST: none vs () at /Users/skaji/env/plenv/versions/5.14.4/lib/perl5/5.14.4/constant.pm line 136. Prototype mismatch: sub IO::Socket::SSL::NI_NUMERICSERV: none vs () at /Users/skaji/env/plenv/versions/5.14.4/lib/perl5/5.14.4/constant.pm line 136. ``` With perl 5.16.3 ``` ❯ perl -v This is perl 5, version 16, subversion 3 (v5.16.3) built for darwin-2level ❯ cpanm_ -nq IO::Socket::SSL Socket6 Successfully installed Net-SSLeay-1.85 Successfully installed Mozilla-CA-20180117 Successfully installed IO-Socket-SSL-2.056 Successfully installed Socket6-0.28 4 distributions installed ❯ perl -MIO::Socket::SSL -e1 Constant subroutine IO::Socket::SSL::NI_NUMERICHOST redefined at /Users/skaji/env/plenv/versions/5.16.3/lib/perl5/5.16.3/constant.pm line 151. Constant subroutine IO::Socket::SSL::NI_NUMERICSERV redefined at /Users/skaji/env/plenv/versions/5.16.3/lib/perl5/5.16.3/constant.pm line 151. ```
Download (untitled) / with headers
text/plain 293b
Am Mi 28. Mär 2018, 10:34:00, SKAJI schrieb: Show quoted text
> Currently IO::Socket::SSL emits warnings when it uses Socket6. > It would be nice that IO::Socket::SSL silences these warnings.
This happens only if Socket6 is installed but neither IO::Socket::INET6 nor IO::Socket::IP. Fixed in commit 256ed29.
Download (untitled) / with headers
text/plain 370b
Thanks Steffen! On 2018-04-23T05:02:51-04:00, SULLR wrote: Show quoted text
> Am Mi 28. Mär 2018, 10:34:00, SKAJI schrieb:
> > Currently IO::Socket::SSL emits warnings when it uses Socket6. > > It would be nice that IO::Socket::SSL silences these warnings.
> > This happens only if Socket6 is installed but neither > IO::Socket::INET6 nor IO::Socket::IP. > Fixed in commit 256ed29.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.